# Tracelite Documentation

**Tracelite** is a lightweight request & response tracing tool for Python web applications. 
It supports popular frameworks such as **Flask, Django, and FastAPI** and provides a simple, structured logging mechanism with CLI and UI viewers.

## Key Features
- Middleware-based HTTP request and response logging
- Configurable filters and data masking
- SQLite storage
- CLI viewer and Streamlit UI viewer
- Easy-to-configure `tracelite.toml`

For full documentation, check each section below:
- [Installation](./installation.md)
- [Usage](./usage.md)
- [Configuration](./configuration.md)
- [Development Guide](./development.md)
- [Contributing](./contributing.md)